Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Update Alert

Update an existing alert with new configuration such as threshold, metric, or monitoring groups.

PUT/alerts/{alert_id}/

Path parameters

  • alert_idPathintegerrequired

    Alert ID

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
namestring
examplealert-260325114033
metric_typestringcpu | memory | disk_usage

Metric on which alert is based

examplegpu_power
operatorstring> | < | >=

Comparison operator

example==
threshold_valuenumber·float
example47
monitoring_group_idsarray
severitystringCritical | Warning | Info
exampleInfo

Responses

200Alert updated successfully
object
codeinteger
example200
messagestring
exampleAlert updated successfully
dataobject
errorsobject